
function RegisterCommands()
	MainCommand = Turbine.ShellCommand();

	function MainCommand:Execute(command, arguments)
		if arguments == "show" then
			ShowMainWindow();
		elseif arguments == "hide" then
			HideMainWindow();
		elseif arguments == "toggle" then
			if MainWindow:IsVisible() then
				HideMainWindow();
			else
				ShowMainWindow();
			end
		elseif arguments == "options" then
			Turbine.PluginManager.ShowOptions(Plugins.RecipeTracker);
		end
	end

	function MainCommand:GetHelp()
		return "Usage:\n   /recipetracker show - Shows the main window\n   /recipetracker hide - Hides the main window\n   /recipetracker toggle - Toggles the main window\n   /recipetracker options - Shows the options window";
	end

	function MainCommand:GetShortHelp()
		return "Usage:\n   /recipetracker show - Shows the main window\n   /recipetracker hide - Hides the main window\n   /recipetracker toggle - Toggles the main window\n   /recipetracker options - Shows the options window";
	end

	Turbine.Shell.AddCommand("recipetracker", MainCommand);
end





